Online Course Technical Requirements for ServSafe, 6th Edition



Use the automated system check to confirm your computer meets these requirements:

Windows Requirements:

  • XP/Vista/7
  • Intel® Pentium® 4 1.60 GHz or faster processor (or equivalent)
  • IE 8, Chrome 16, Firefox 6, or higher versions (other browsers may not be supported and may impact functionality)

Mac Requirements:

  • OS X 10.5 or higher
  • Intel processor
  • Safari 5, Firefox 6, Chrome 16, or higher versions

Requirements for All Systems:

  • 2 GB RAM or more, depending on your operating system
  • Adobe® Flash® Player 10.2 or higher
  • Adobe® Reader®
  • High-speed Internet access (512 kbps or faster)
  • Screen resolution of 1024x768 or higher
  • Sound enabled